Opened 7 years ago

Closed 7 years ago

#41046 closed defect (fixed)

lua-luahpdf fails to install on Mavericks wich macports 2.2.1

Reported by: roberto.avanzi@… Owned by: anddam (Andrea D'Amore)
Priority: Normal Milestone:
Component: ports Version: 2.2.1
Keywords: mavericks Cc:
Port: lua-luahpdf

Description (last modified by mf2k (Frank Schima))

When I try to install lua-luahpdf I obtain following error

ravanzi-mac:build mocenigo$ sudo port install lua-luahpdf
--->  Computing dependencies for lua-luahpdf
--->  Building lua-luahpdf
Error: org.macports.build for port lua-luahpdf returned: command execution failed
Please see the log file for port lua-luahpdf for details:
    /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_tarballs_ports_devel_lua-luahpdf/lua-luahpdf/main.log
To report a bug, follow the instructions in the guide:
    http://guide.macports.org/#project.tickets
Error: Processing of port lua-luahpdf failed

I am not sure why. May be a CLANG/GCC thing and this leaves something undefined, however I get the following error in the log

hpdf.c:265:17: error: use of undeclared identifier 'LUA_ENVIRONINDEX'
also
hpdf.c:3732:16: error: unknown type name 'luaL_reg'; did you mean 'luaL_Reg'?

and then other commands fail.

Roberto

Change History (5)

comment:1 Changed 7 years ago by mf2k (Frank Schima)

Description: modified (diff)
Keywords: lua lua-luahpdf removed
Owner: changed from macports-tickets@… to and.damore@…

In the future, please use WikiFormatting and Cc the port maintainers (port info --maintainers lua-luahpdf).

Please attach the complete main.log file.

comment:2 Changed 7 years ago by anddam (Andrea D'Amore)

This is due to the upgrade of lua to 5.2, LUA_ENVIRONINDEX doesn't exist anymore. We need to settle the lua question first, probably introducing a lua51 port for compatibility.

Meanwhile you can revert lua to 5.1 using these instructions, I understand it's not a smooth solution to the issue but it should allow you to have a working luahpdf while the real problem is solved.

Last edited 7 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:3 Changed 7 years ago by roberto.avanzi@…

Thank you for the explanation!

comment:4 Changed 7 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Keywords: mavericks added

comment:5 Changed 7 years ago by anddam (Andrea D'Amore)

Resolution: fixed
Status: newclosed

Updated to library version 1.5 in r118205, luahpdf now supports lua 5.2.

Tested on Mavericks with XCode 5.1 .

Note: See TracTickets for help on using tickets.